// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.15.2
// source: query-api/query/query.proto

package query

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	_ "google.golang.org/protobuf/types/known/emptypb"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type AggregationQuery struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PersonIdentifier *AggregationQuery_PersonIdentifier `protobuf:"bytes,1,opt,name=person_identifier,json=personIdentifier,proto3" json:"person_identifier,omitempty"`
	Timetravel       *timestamppb.Timestamp             `protobuf:"bytes,2,opt,name=timetravel,proto3" json:"timetravel,omitempty"`
}

func (x *AggregationQuery) Reset() {
	*x = AggregationQuery{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AggregationQuery) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AggregationQuery) ProtoMessage() {}

func (x *AggregationQuery) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AggregationQuery.ProtoReflect.Descriptor instead.
func (*AggregationQuery) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{0}
}

func (x *AggregationQuery) GetPersonIdentifier() *AggregationQuery_PersonIdentifier {
	if x != nil {
		return x.PersonIdentifier
	}
	return nil
}

func (x *AggregationQuery) GetTimetravel() *timestamppb.Timestamp {
	if x != nil {
		return x.Timetravel
	}
	return nil
}

type BirthDetailsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Query *AggregationQuery `protobuf:"bytes,1,opt,name=query,proto3" json:"query,omitempty"`
}

func (x *BirthDetailsRequest) Reset() {
	*x = BirthDetailsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BirthDetailsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BirthDetailsRequest) ProtoMessage() {}

func (x *BirthDetailsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BirthDetailsRequest.ProtoReflect.Descriptor instead.
func (*BirthDetailsRequest) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{1}
}

func (x *BirthDetailsRequest) GetQuery() *AggregationQuery {
	if x != nil {
		return x.Query
	}
	return nil
}

type BirthDetails struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Birthdate    *timestamppb.Timestamp `protobuf:"bytes,1,opt,name=birthdate,proto3" json:"birthdate,omitempty"`
	Birthplace   string                 `protobuf:"bytes,2,opt,name=birthplace,proto3" json:"birthplace,omitempty"`
	Birthcountry string                 `protobuf:"bytes,3,opt,name=birthcountry,proto3" json:"birthcountry,omitempty"`
	Parents      []string               `protobuf:"bytes,4,rep,name=parents,proto3" json:"parents,omitempty"`
}

func (x *BirthDetails) Reset() {
	*x = BirthDetails{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BirthDetails) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BirthDetails) ProtoMessage() {}

func (x *BirthDetails) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BirthDetails.ProtoReflect.Descriptor instead.
func (*BirthDetails) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{2}
}

func (x *BirthDetails) GetBirthdate() *timestamppb.Timestamp {
	if x != nil {
		return x.Birthdate
	}
	return nil
}

func (x *BirthDetails) GetBirthplace() string {
	if x != nil {
		return x.Birthplace
	}
	return ""
}

func (x *BirthDetails) GetBirthcountry() string {
	if x != nil {
		return x.Birthcountry
	}
	return ""
}

func (x *BirthDetails) GetParents() []string {
	if x != nil {
		return x.Parents
	}
	return nil
}

type BirthDetailsReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	BirthDetails *BirthDetails `protobuf:"bytes,1,opt,name=birthDetails,proto3" json:"birthDetails,omitempty"`
}

func (x *BirthDetailsReply) Reset() {
	*x = BirthDetailsReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BirthDetailsReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BirthDetailsReply) ProtoMessage() {}

func (x *BirthDetailsReply) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BirthDetailsReply.ProtoReflect.Descriptor instead.
func (*BirthDetailsReply) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{3}
}

func (x *BirthDetailsReply) GetBirthDetails() *BirthDetails {
	if x != nil {
		return x.BirthDetails
	}
	return nil
}

type MarriageDetailsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Query *AggregationQuery `protobuf:"bytes,1,opt,name=query,proto3" json:"query,omitempty"`
}

func (x *MarriageDetailsRequest) Reset() {
	*x = MarriageDetailsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MarriageDetailsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MarriageDetailsRequest) ProtoMessage() {}

func (x *MarriageDetailsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MarriageDetailsRequest.ProtoReflect.Descriptor instead.
func (*MarriageDetailsRequest) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{4}
}

func (x *MarriageDetailsRequest) GetQuery() *AggregationQuery {
	if x != nil {
		return x.Query
	}
	return nil
}

type MarriageDetails struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Participants []string               `protobuf:"bytes,1,rep,name=participants,proto3" json:"participants,omitempty"`
	Date         *timestamppb.Timestamp `protobuf:"bytes,2,opt,name=date,proto3" json:"date,omitempty"`
	Place        string                 `protobuf:"bytes,3,opt,name=place,proto3" json:"place,omitempty"`
	Country      string                 `protobuf:"bytes,4,opt,name=country,proto3" json:"country,omitempty"`
}

func (x *MarriageDetails) Reset() {
	*x = MarriageDetails{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MarriageDetails) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MarriageDetails) ProtoMessage() {}

func (x *MarriageDetails) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MarriageDetails.ProtoReflect.Descriptor instead.
func (*MarriageDetails) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{5}
}

func (x *MarriageDetails) GetParticipants() []string {
	if x != nil {
		return x.Participants
	}
	return nil
}

func (x *MarriageDetails) GetDate() *timestamppb.Timestamp {
	if x != nil {
		return x.Date
	}
	return nil
}

func (x *MarriageDetails) GetPlace() string {
	if x != nil {
		return x.Place
	}
	return ""
}

func (x *MarriageDetails) GetCountry() string {
	if x != nil {
		return x.Country
	}
	return ""
}

type MarriageDetailsReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	MarriageDetails *MarriageDetails `protobuf:"bytes,1,opt,name=marriageDetails,proto3" json:"marriageDetails,omitempty"`
}

func (x *MarriageDetailsReply) Reset() {
	*x = MarriageDetailsReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MarriageDetailsReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MarriageDetailsReply) ProtoMessage() {}

func (x *MarriageDetailsReply) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MarriageDetailsReply.ProtoReflect.Descriptor instead.
func (*MarriageDetailsReply) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{6}
}

func (x *MarriageDetailsReply) GetMarriageDetails() *MarriageDetails {
	if x != nil {
		return x.MarriageDetails
	}
	return nil
}

type NameDetailsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Query *AggregationQuery `protobuf:"bytes,1,opt,name=query,proto3" json:"query,omitempty"`
}

func (x *NameDetailsRequest) Reset() {
	*x = NameDetailsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NameDetailsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NameDetailsRequest) ProtoMessage() {}

func (x *NameDetailsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NameDetailsRequest.ProtoReflect.Descriptor instead.
func (*NameDetailsRequest) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{7}
}

func (x *NameDetailsRequest) GetQuery() *AggregationQuery {
	if x != nil {
		return x.Query
	}
	return nil
}

type NameDetails struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Firstnames     string `protobuf:"bytes,1,opt,name=firstnames,proto3" json:"firstnames,omitempty"` // TODO: Change to repeated string? Without spaces in a name.
	LastnamePrefix string `protobuf:"bytes,2,opt,name=lastnamePrefix,proto3" json:"lastnamePrefix,omitempty"`
	Lastnames      string `protobuf:"bytes,3,opt,name=lastnames,proto3" json:"lastnames,omitempty"`
	// TODO: should we differentiate between familyname and marriedname? Otherwise
	// the namePreference doesn't have a much effect. Is that a frontend/view
	// thing, or a legal thing?
	NamePreference string `protobuf:"bytes,4,opt,name=namePreference,proto3" json:"namePreference,omitempty"` // TODO: Change to an enum to represent the different legal values?
}

func (x *NameDetails) Reset() {
	*x = NameDetails{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NameDetails) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NameDetails) ProtoMessage() {}

func (x *NameDetails) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NameDetails.ProtoReflect.Descriptor instead.
func (*NameDetails) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{8}
}

func (x *NameDetails) GetFirstnames() string {
	if x != nil {
		return x.Firstnames
	}
	return ""
}

func (x *NameDetails) GetLastnamePrefix() string {
	if x != nil {
		return x.LastnamePrefix
	}
	return ""
}

func (x *NameDetails) GetLastnames() string {
	if x != nil {
		return x.Lastnames
	}
	return ""
}

func (x *NameDetails) GetNamePreference() string {
	if x != nil {
		return x.NamePreference
	}
	return ""
}

type NameDetailsReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	NameDetails *NameDetails `protobuf:"bytes,1,opt,name=nameDetails,proto3" json:"nameDetails,omitempty"`
}

func (x *NameDetailsReply) Reset() {
	*x = NameDetailsReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NameDetailsReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NameDetailsReply) ProtoMessage() {}

func (x *NameDetailsReply) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NameDetailsReply.ProtoReflect.Descriptor instead.
func (*NameDetailsReply) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{9}
}

func (x *NameDetailsReply) GetNameDetails() *NameDetails {
	if x != nil {
		return x.NameDetails
	}
	return nil
}

type ResidentialAddressRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Query *AggregationQuery `protobuf:"bytes,1,opt,name=query,proto3" json:"query,omitempty"`
}

func (x *ResidentialAddressRequest) Reset() {
	*x = ResidentialAddressRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ResidentialAddressRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResidentialAddressRequest) ProtoMessage() {}

func (x *ResidentialAddressRequest) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResidentialAddressRequest.ProtoReflect.Descriptor instead.
func (*ResidentialAddressRequest) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{10}
}

func (x *ResidentialAddressRequest) GetQuery() *AggregationQuery {
	if x != nil {
		return x.Query
	}
	return nil
}

type ResidentialAddress struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// TODO: Change into actual address fields.
	Address string `protobuf:"bytes,1,opt,name=address,proto3" json:"address,omitempty"`
}

func (x *ResidentialAddress) Reset() {
	*x = ResidentialAddress{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ResidentialAddress) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResidentialAddress) ProtoMessage() {}

func (x *ResidentialAddress) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResidentialAddress.ProtoReflect.Descriptor instead.
func (*ResidentialAddress) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{11}
}

func (x *ResidentialAddress) GetAddress() string {
	if x != nil {
		return x.Address
	}
	return ""
}

type ResidentialAddressReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// TODO: do we want historical addresses in this call? Or make a different
	// call for that?
	ResidentialAddress *ResidentialAddress `protobuf:"bytes,1,opt,name=residentialAddress,proto3" json:"residentialAddress,omitempty"`
}

func (x *ResidentialAddressReply) Reset() {
	*x = ResidentialAddressReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ResidentialAddressReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResidentialAddressReply) ProtoMessage() {}

func (x *ResidentialAddressReply) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResidentialAddressReply.ProtoReflect.Descriptor instead.
func (*ResidentialAddressReply) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{12}
}

func (x *ResidentialAddressReply) GetResidentialAddress() *ResidentialAddress {
	if x != nil {
		return x.ResidentialAddress
	}
	return nil
}

type PersonDetailsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Query *AggregationQuery `protobuf:"bytes,1,opt,name=query,proto3" json:"query,omitempty"`
}

func (x *PersonDetailsRequest) Reset() {
	*x = PersonDetailsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PersonDetailsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PersonDetailsRequest) ProtoMessage() {}

func (x *PersonDetailsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PersonDetailsRequest.ProtoReflect.Descriptor instead.
func (*PersonDetailsRequest) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{13}
}

func (x *PersonDetailsRequest) GetQuery() *AggregationQuery {
	if x != nil {
		return x.Query
	}
	return nil
}

type Identifiers struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ZidEid map[string]string `protobuf:"bytes,1,rep,name=zidEid,proto3" json:"zidEid,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Bsn    string            `protobuf:"bytes,2,opt,name=bsn,proto3" json:"bsn,omitempty"`
}

func (x *Identifiers) Reset() {
	*x = Identifiers{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Identifiers) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Identifiers) ProtoMessage() {}

func (x *Identifiers) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Identifiers.ProtoReflect.Descriptor instead.
func (*Identifiers) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{14}
}

func (x *Identifiers) GetZidEid() map[string]string {
	if x != nil {
		return x.ZidEid
	}
	return nil
}

func (x *Identifiers) GetBsn() string {
	if x != nil {
		return x.Bsn
	}
	return ""
}

type LegalDetails struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Nationality string `protobuf:"bytes,1,opt,name=nationality,proto3" json:"nationality,omitempty"` // TODO: validate to be ISO2 or ISO3? Or publish a list of values as enum?
}

func (x *LegalDetails) Reset() {
	*x = LegalDetails{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LegalDetails) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LegalDetails) ProtoMessage() {}

func (x *LegalDetails) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LegalDetails.ProtoReflect.Descriptor instead.
func (*LegalDetails) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{15}
}

func (x *LegalDetails) GetNationality() string {
	if x != nil {
		return x.Nationality
	}
	return ""
}

type PersonDetailsReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Identifiers                *Identifiers        `protobuf:"bytes,1,opt,name=identifiers,proto3" json:"identifiers,omitempty"`
	BirthDetails               *BirthDetails       `protobuf:"bytes,2,opt,name=birthDetails,proto3" json:"birthDetails,omitempty"`
	NameDetails                *NameDetails        `protobuf:"bytes,3,opt,name=nameDetails,proto3" json:"nameDetails,omitempty"`
	ResidentialAddress         *ResidentialAddress `protobuf:"bytes,4,opt,name=residentialAddress,proto3" json:"residentialAddress,omitempty"`
	MarriageDetails            *MarriageDetails    `protobuf:"bytes,5,opt,name=marriageDetails,proto3" json:"marriageDetails,omitempty"`
	LegalDetails               *LegalDetails       `protobuf:"bytes,6,opt,name=legalDetails,proto3" json:"legalDetails,omitempty"`                             // s/legal/????/g
	MunicipalityOfRegistration string              `protobuf:"bytes,7,opt,name=municipalityOfRegistration,proto3" json:"municipalityOfRegistration,omitempty"` // TODO: anders
}

func (x *PersonDetailsReply) Reset() {
	*x = PersonDetailsReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PersonDetailsReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PersonDetailsReply) ProtoMessage() {}

func (x *PersonDetailsReply) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PersonDetailsReply.ProtoReflect.Descriptor instead.
func (*PersonDetailsReply) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{16}
}

func (x *PersonDetailsReply) GetIdentifiers() *Identifiers {
	if x != nil {
		return x.Identifiers
	}
	return nil
}

func (x *PersonDetailsReply) GetBirthDetails() *BirthDetails {
	if x != nil {
		return x.BirthDetails
	}
	return nil
}

func (x *PersonDetailsReply) GetNameDetails() *NameDetails {
	if x != nil {
		return x.NameDetails
	}
	return nil
}

func (x *PersonDetailsReply) GetResidentialAddress() *ResidentialAddress {
	if x != nil {
		return x.ResidentialAddress
	}
	return nil
}

func (x *PersonDetailsReply) GetMarriageDetails() *MarriageDetails {
	if x != nil {
		return x.MarriageDetails
	}
	return nil
}

func (x *PersonDetailsReply) GetLegalDetails() *LegalDetails {
	if x != nil {
		return x.LegalDetails
	}
	return nil
}

func (x *PersonDetailsReply) GetMunicipalityOfRegistration() string {
	if x != nil {
		return x.MunicipalityOfRegistration
	}
	return ""
}

type AggregationQuery_PersonIdentifier struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to PersonIdentifier:
	//	*AggregationQuery_PersonIdentifier_Eid
	//	*AggregationQuery_PersonIdentifier_Bsn
	PersonIdentifier isAggregationQuery_PersonIdentifier_PersonIdentifier `protobuf_oneof:"person_identifier"`
}

func (x *AggregationQuery_PersonIdentifier) Reset() {
	*x = AggregationQuery_PersonIdentifier{}
	if protoimpl.UnsafeEnabled {
		mi := &file_query_api_query_query_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AggregationQuery_PersonIdentifier) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AggregationQuery_PersonIdentifier) ProtoMessage() {}

func (x *AggregationQuery_PersonIdentifier) ProtoReflect() protoreflect.Message {
	mi := &file_query_api_query_query_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AggregationQuery_PersonIdentifier.ProtoReflect.Descriptor instead.
func (*AggregationQuery_PersonIdentifier) Descriptor() ([]byte, []int) {
	return file_query_api_query_query_proto_rawDescGZIP(), []int{0, 0}
}

func (m *AggregationQuery_PersonIdentifier) GetPersonIdentifier() isAggregationQuery_PersonIdentifier_PersonIdentifier {
	if m != nil {
		return m.PersonIdentifier
	}
	return nil
}

func (x *AggregationQuery_PersonIdentifier) GetEid() string {
	if x, ok := x.GetPersonIdentifier().(*AggregationQuery_PersonIdentifier_Eid); ok {
		return x.Eid
	}
	return ""
}

func (x *AggregationQuery_PersonIdentifier) GetBsn() string {
	if x, ok := x.GetPersonIdentifier().(*AggregationQuery_PersonIdentifier_Bsn); ok {
		return x.Bsn
	}
	return ""
}

type isAggregationQuery_PersonIdentifier_PersonIdentifier interface {
	isAggregationQuery_PersonIdentifier_PersonIdentifier()
}

type AggregationQuery_PersonIdentifier_Eid struct {
	Eid string `protobuf:"bytes,1,opt,name=eid,proto3,oneof"`
}

type AggregationQuery_PersonIdentifier_Bsn struct {
	Bsn string `protobuf:"bytes,2,opt,name=bsn,proto3,oneof"`
}

func (*AggregationQuery_PersonIdentifier_Eid) isAggregationQuery_PersonIdentifier_PersonIdentifier() {
}

func (*AggregationQuery_PersonIdentifier_Bsn) isAggregationQuery_PersonIdentifier_PersonIdentifier() {
}

var File_query_api_query_query_proto protoreflect.FileDescriptor

var file_query_api_query_query_proto_rawDesc = []byte{
	0x0a, 0x1b, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2d, 0x61, 0x70, 0x69, 0x2f, 0x71, 0x75, 0x65, 0x72,
	0x79, 0x2f, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x05, 0x71,
	0x75, 0x65, 0x72, 0x79, 0x1a, 0x1b, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x22, 0xf6, 0x01, 0x0a, 0x10, 0x41, 0x67, 0x67, 0x72, 0x65, 0x67, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x51, 0x75, 0x65, 0x72, 0x79, 0x12, 0x55, 0x0a, 0x11, 0x70, 0x65, 0x72, 0x73, 0x6f,
	0x6e, 0x5f, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x28, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x41, 0x67, 0x67, 0x72, 0x65,
	0x67, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x51, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x50, 0x65, 0x72, 0x73,
	0x6f, 0x6e, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x52, 0x10, 0x70, 0x65,
	0x72, 0x73, 0x6f, 0x6e, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x12, 0x3a,
	0x0a, 0x0a, 0x74, 0x69, 0x6d, 0x65, 0x74, 0x72, 0x61, 0x76, 0x65, 0x6c, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0a,
	0x74, 0x69, 0x6d, 0x65, 0x74, 0x72, 0x61, 0x76, 0x65, 0x6c, 0x1a, 0x4f, 0x0a, 0x10, 0x50, 0x65,
	0x72, 0x73, 0x6f, 0x6e, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x12, 0x12,
	0x0a, 0x03, 0x65, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x03, 0x65,
	0x69, 0x64, 0x12, 0x12, 0x0a, 0x03, 0x62, 0x73, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48,
	0x00, 0x52, 0x03, 0x62, 0x73, 0x6e, 0x42, 0x13, 0x0a, 0x11, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e,
	0x5f, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x22, 0x44, 0x0a, 0x13, 0x42,
	0x69, 0x72, 0x74, 0x68, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x2d, 0x0a, 0x05, 0x71, 0x75, 0x65, 0x72, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x17, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x41, 0x67, 0x67, 0x72, 0x65, 0x67,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x51, 0x75, 0x65, 0x72, 0x79, 0x52, 0x05, 0x71, 0x75, 0x65, 0x72,
	0x79, 0x22, 0xa6, 0x01, 0x0a, 0x0c, 0x42, 0x69, 0x72, 0x74, 0x68, 0x44, 0x65, 0x74, 0x61, 0x69,
	0x6c, 0x73, 0x12, 0x38, 0x0a, 0x09, 0x62, 0x69, 0x72, 0x74, 0x68, 0x64, 0x61, 0x74, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x52, 0x09, 0x62, 0x69, 0x72, 0x74, 0x68, 0x64, 0x61, 0x74, 0x65, 0x12, 0x1e, 0x0a, 0x0a,
	0x62, 0x69, 0x72, 0x74, 0x68, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0a, 0x62, 0x69, 0x72, 0x74, 0x68, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x12, 0x22, 0x0a, 0x0c,
	0x62, 0x69, 0x72, 0x74, 0x68, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x0c, 0x62, 0x69, 0x72, 0x74, 0x68, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79,
	0x12, 0x18, 0x0a, 0x07, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28,
	0x09, 0x52, 0x07, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x73, 0x22, 0x4c, 0x0a, 0x11, 0x42, 0x69,
	0x72, 0x74, 0x68, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12,
	0x37, 0x0a, 0x0c, 0x62, 0x69, 0x72, 0x74, 0x68, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x42, 0x69,
	0x72, 0x74, 0x68, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x0c, 0x62, 0x69, 0x72, 0x74,
	0x68, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x22, 0x47, 0x0a, 0x16, 0x4d, 0x61, 0x72, 0x72,
	0x69, 0x61, 0x67, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x2d, 0x0a, 0x05, 0x71, 0x75, 0x65, 0x72, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x17, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x41, 0x67, 0x67, 0x72, 0x65, 0x67,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x51, 0x75, 0x65, 0x72, 0x79, 0x52, 0x05, 0x71, 0x75, 0x65, 0x72,
	0x79, 0x22, 0x95, 0x01, 0x0a, 0x0f, 0x4d, 0x61, 0x72, 0x72, 0x69, 0x61, 0x67, 0x65, 0x44, 0x65,
	0x74, 0x61, 0x69, 0x6c, 0x73, 0x12, 0x22, 0x0a, 0x0c, 0x70, 0x61, 0x72, 0x74, 0x69, 0x63, 0x69,
	0x70, 0x61, 0x6e, 0x74, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x09, 0x52, 0x0c, 0x70, 0x61, 0x72,
	0x74, 0x69, 0x63, 0x69, 0x70, 0x61, 0x6e, 0x74, 0x73, 0x12, 0x2e, 0x0a, 0x04, 0x64, 0x61, 0x74,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74,
	0x61, 0x6d, 0x70, 0x52, 0x04, 0x64, 0x61, 0x74, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x70, 0x6c, 0x61,
	0x63, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x12,
	0x18, 0x0a, 0x07, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x07, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79, 0x22, 0x58, 0x0a, 0x14, 0x4d, 0x61, 0x72,
	0x72, 0x69, 0x61, 0x67, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x65, 0x70, 0x6c,
	0x79, 0x12, 0x40, 0x0a, 0x0f, 0x6d, 0x61, 0x72, 0x72, 0x69, 0x61, 0x67, 0x65, 0x44, 0x65, 0x74,
	0x61, 0x69, 0x6c, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x71, 0x75, 0x65,
	0x72, 0x79, 0x2e, 0x4d, 0x61, 0x72, 0x72, 0x69, 0x61, 0x67, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69,
	0x6c, 0x73, 0x52, 0x0f, 0x6d, 0x61, 0x72, 0x72, 0x69, 0x61, 0x67, 0x65, 0x44, 0x65, 0x74, 0x61,
	0x69, 0x6c, 0x73, 0x22, 0x43, 0x0a, 0x12, 0x4e, 0x61, 0x6d, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69,
	0x6c, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2d, 0x0a, 0x05, 0x71, 0x75, 0x65,
	0x72, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79,
	0x2e, 0x41, 0x67, 0x67, 0x72, 0x65, 0x67, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x51, 0x75, 0x65, 0x72,
	0x79, 0x52, 0x05, 0x71, 0x75, 0x65, 0x72, 0x79, 0x22, 0x9b, 0x01, 0x0a, 0x0b, 0x4e, 0x61, 0x6d,
	0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x12, 0x1e, 0x0a, 0x0a, 0x66, 0x69, 0x72, 0x73,
	0x74, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x66, 0x69,
	0x72, 0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x12, 0x26, 0x0a, 0x0e, 0x6c, 0x61, 0x73, 0x74,
	0x6e, 0x61, 0x6d, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0e, 0x6c, 0x61, 0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x50, 0x72, 0x65, 0x66, 0x69, 0x78,
	0x12, 0x1c, 0x0a, 0x09, 0x6c, 0x61, 0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x09, 0x6c, 0x61, 0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x12, 0x26,
	0x0a, 0x0e, 0x6e, 0x61, 0x6d, 0x65, 0x50, 0x72, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x6e, 0x61, 0x6d, 0x65, 0x50, 0x72, 0x65, 0x66,
	0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x22, 0x48, 0x0a, 0x10, 0x4e, 0x61, 0x6d, 0x65, 0x44, 0x65,
	0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x34, 0x0a, 0x0b, 0x6e, 0x61,
	0x6d, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x12, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x4e, 0x61, 0x6d, 0x65, 0x44, 0x65, 0x74, 0x61,
	0x69, 0x6c, 0x73, 0x52, 0x0b, 0x6e, 0x61, 0x6d, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73,
	0x22, 0x4a, 0x0a, 0x19, 0x52, 0x65, 0x73, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x41,
	0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2d, 0x0a,
	0x05, 0x71, 0x75, 0x65, 0x72, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x71,
	0x75, 0x65, 0x72, 0x79, 0x2e, 0x41, 0x67, 0x67, 0x72, 0x65, 0x67, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x51, 0x75, 0x65, 0x72, 0x79, 0x52, 0x05, 0x71, 0x75, 0x65, 0x72, 0x79, 0x22, 0x2e, 0x0a, 0x12,
	0x52, 0x65, 0x73, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x41, 0x64, 0x64, 0x72, 0x65,
	0x73, 0x73, 0x12, 0x18, 0x0a, 0x07, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x07, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x22, 0x64, 0x0a, 0x17,
	0x52, 0x65, 0x73, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x41, 0x64, 0x64, 0x72, 0x65,
	0x73, 0x73, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x49, 0x0a, 0x12, 0x72, 0x65, 0x73, 0x69, 0x64,
	0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x52, 0x65, 0x73, 0x69,
	0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x52, 0x12,
	0x72, 0x65, 0x73, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x41, 0x64, 0x64, 0x72, 0x65,
	0x73, 0x73, 0x22, 0x45, 0x0a, 0x14, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x44, 0x65, 0x74, 0x61,
	0x69, 0x6c, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2d, 0x0a, 0x05, 0x71, 0x75,
	0x65, 0x72, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x71, 0x75, 0x65, 0x72,
	0x79, 0x2e, 0x41, 0x67, 0x67, 0x72, 0x65, 0x67, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x51, 0x75, 0x65,
	0x72, 0x79, 0x52, 0x05, 0x71, 0x75, 0x65, 0x72, 0x79, 0x22, 0x92, 0x01, 0x0a, 0x0b, 0x49, 0x64,
	0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x73, 0x12, 0x36, 0x0a, 0x06, 0x7a, 0x69, 0x64,
	0x45, 0x69, 0x64, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x71, 0x75, 0x65, 0x72,
	0x79, 0x2e, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x73, 0x2e, 0x5a, 0x69,
	0x64, 0x45, 0x69, 0x64, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x7a, 0x69, 0x64, 0x45, 0x69,
	0x64, 0x12, 0x10, 0x0a, 0x03, 0x62, 0x73, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03,
	0x62, 0x73, 0x6e, 0x1a, 0x39, 0x0a, 0x0b, 0x5a, 0x69, 0x64, 0x45, 0x69, 0x64, 0x45, 0x6e, 0x74,
	0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x30,
	0x0a, 0x0c, 0x4c, 0x65, 0x67, 0x61, 0x6c, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x12, 0x20,
	0x0a, 0x0b, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0b, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x69, 0x74, 0x79,
	0x22, 0xbf, 0x03, 0x0a, 0x12, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x44, 0x65, 0x74, 0x61, 0x69,
	0x6c, 0x73, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x34, 0x0a, 0x0b, 0x69, 0x64, 0x65, 0x6e, 0x74,
	0x69, 0x66, 0x69, 0x65, 0x72, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x71,
	0x75, 0x65, 0x72, 0x79, 0x2e, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x73,
	0x52, 0x0b, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x73, 0x12, 0x37, 0x0a,
	0x0c, 0x62, 0x69, 0x72, 0x74, 0x68, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x42, 0x69, 0x72, 0x74,
	0x68, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x0c, 0x62, 0x69, 0x72, 0x74, 0x68, 0x44,
	0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x12, 0x34, 0x0a, 0x0b, 0x6e, 0x61, 0x6d, 0x65, 0x44, 0x65,
	0x74, 0x61, 0x69, 0x6c, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x71, 0x75,
	0x65, 0x72, 0x79, 0x2e, 0x4e, 0x61, 0x6d, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52,
	0x0b, 0x6e, 0x61, 0x6d, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x12, 0x49, 0x0a, 0x12,
	0x72, 0x65, 0x73, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x41, 0x64, 0x64, 0x72, 0x65,
	0x73, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79,
	0x2e, 0x52, 0x65, 0x73, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x41, 0x64, 0x64, 0x72,
	0x65, 0x73, 0x73, 0x52, 0x12, 0x72, 0x65, 0x73, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c,
	0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x12, 0x40, 0x0a, 0x0f, 0x6d, 0x61, 0x72, 0x72, 0x69,
	0x61, 0x67, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x16, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x4d, 0x61, 0x72, 0x72, 0x69, 0x61, 0x67,
	0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x0f, 0x6d, 0x61, 0x72, 0x72, 0x69, 0x61,
	0x67, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x12, 0x37, 0x0a, 0x0c, 0x6c, 0x65, 0x67,
	0x61, 0x6c, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x13, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x4c, 0x65, 0x67, 0x61, 0x6c, 0x44, 0x65, 0x74,
	0x61, 0x69, 0x6c, 0x73, 0x52, 0x0c, 0x6c, 0x65, 0x67, 0x61, 0x6c, 0x44, 0x65, 0x74, 0x61, 0x69,
	0x6c, 0x73, 0x12, 0x3e, 0x0a, 0x1a, 0x6d, 0x75, 0x6e, 0x69, 0x63, 0x69, 0x70, 0x61, 0x6c, 0x69,
	0x74, 0x79, 0x4f, 0x66, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x1a, 0x6d, 0x75, 0x6e, 0x69, 0x63, 0x69, 0x70, 0x61,
	0x6c, 0x69, 0x74, 0x79, 0x4f, 0x66, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x32, 0x8a, 0x03, 0x0a, 0x05, 0x51, 0x75, 0x65, 0x72, 0x79, 0x12, 0x46, 0x0a, 0x0c,
	0x42, 0x69, 0x72, 0x74, 0x68, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x12, 0x1a, 0x2e, 0x71,
	0x75, 0x65, 0x72, 0x79, 0x2e, 0x42, 0x69, 0x72, 0x74, 0x68, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c,
	0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x18, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79,
	0x2e, 0x42, 0x69, 0x72, 0x74, 0x68, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x65, 0x70,
	0x6c, 0x79, 0x22, 0x00, 0x12, 0x43, 0x0a, 0x0b, 0x4e, 0x61, 0x6d, 0x65, 0x44, 0x65, 0x74, 0x61,
	0x69, 0x6c, 0x73, 0x12, 0x19, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x4e, 0x61, 0x6d, 0x65,
	0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x17,
	0x2e, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x4e, 0x61, 0x6d, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69,
	0x6c, 0x73, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22, 0x00, 0x12, 0x58, 0x0a, 0x12, 0x52, 0x65, 0x73,
	0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x61, 0x6c, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x12,
	0x20, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x52, 0x65, 0x73, 0x69, 0x64, 0x65, 0x6e, 0x74,
	0x69, 0x61, 0x6c, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x1e, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x52, 0x65, 0x73, 0x69, 0x64, 0x65,
	0x6e, 0x74, 0x69, 0x61, 0x6c, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x52, 0x65, 0x70, 0x6c,
	0x79, 0x22, 0x00, 0x12, 0x4f, 0x0a, 0x0f, 0x4d, 0x61, 0x72, 0x72, 0x69, 0x61, 0x67, 0x65, 0x44,
	0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x12, 0x1d, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x4d,
	0x61, 0x72, 0x72, 0x69, 0x61, 0x67, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x4d, 0x61,
	0x72, 0x72, 0x69, 0x61, 0x67, 0x65, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x65, 0x70,
	0x6c, 0x79, 0x22, 0x00, 0x12, 0x49, 0x0a, 0x0d, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x44, 0x65,
	0x74, 0x61, 0x69, 0x6c, 0x73, 0x12, 0x1b, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x50, 0x65,
	0x72, 0x73, 0x6f, 0x6e, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x19, 0x2e, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2e, 0x50, 0x65, 0x72, 0x73, 0x6f,
	0x6e, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22, 0x00, 0x42,
	0x33, 0x5a, 0x31, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x2f, 0x78, 0x62, 0x72, 0x70, 0x2f,
	0x64, 0x65, 0x73, 0x71, 0x2f, 0x71, 0x75, 0x65, 0x72, 0x79, 0x2d, 0x61, 0x70, 0x69, 0x2f, 0x71,
	0x75, 0x65, 0x72, 0x79, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_query_api_query_query_proto_rawDescOnce sync.Once
	file_query_api_query_query_proto_rawDescData = file_query_api_query_query_proto_rawDesc
)

func file_query_api_query_query_proto_rawDescGZIP() []byte {
	file_query_api_query_query_proto_rawDescOnce.Do(func() {
		file_query_api_query_query_proto_rawDescData = protoimpl.X.CompressGZIP(file_query_api_query_query_proto_rawDescData)
	})
	return file_query_api_query_query_proto_rawDescData
}

var file_query_api_query_query_proto_msgTypes = make([]protoimpl.MessageInfo, 19)
var file_query_api_query_query_proto_goTypes = []interface{}{
	(*AggregationQuery)(nil),                  // 0: query.AggregationQuery
	(*BirthDetailsRequest)(nil),               // 1: query.BirthDetailsRequest
	(*BirthDetails)(nil),                      // 2: query.BirthDetails
	(*BirthDetailsReply)(nil),                 // 3: query.BirthDetailsReply
	(*MarriageDetailsRequest)(nil),            // 4: query.MarriageDetailsRequest
	(*MarriageDetails)(nil),                   // 5: query.MarriageDetails
	(*MarriageDetailsReply)(nil),              // 6: query.MarriageDetailsReply
	(*NameDetailsRequest)(nil),                // 7: query.NameDetailsRequest
	(*NameDetails)(nil),                       // 8: query.NameDetails
	(*NameDetailsReply)(nil),                  // 9: query.NameDetailsReply
	(*ResidentialAddressRequest)(nil),         // 10: query.ResidentialAddressRequest
	(*ResidentialAddress)(nil),                // 11: query.ResidentialAddress
	(*ResidentialAddressReply)(nil),           // 12: query.ResidentialAddressReply
	(*PersonDetailsRequest)(nil),              // 13: query.PersonDetailsRequest
	(*Identifiers)(nil),                       // 14: query.Identifiers
	(*LegalDetails)(nil),                      // 15: query.LegalDetails
	(*PersonDetailsReply)(nil),                // 16: query.PersonDetailsReply
	(*AggregationQuery_PersonIdentifier)(nil), // 17: query.AggregationQuery.PersonIdentifier
	nil,                           // 18: query.Identifiers.ZidEidEntry
	(*timestamppb.Timestamp)(nil), // 19: google.protobuf.Timestamp
}
var file_query_api_query_query_proto_depIdxs = []int32{
	17, // 0: query.AggregationQuery.person_identifier:type_name -> query.AggregationQuery.PersonIdentifier
	19, // 1: query.AggregationQuery.timetravel:type_name -> google.protobuf.Timestamp
	0,  // 2: query.BirthDetailsRequest.query:type_name -> query.AggregationQuery
	19, // 3: query.BirthDetails.birthdate:type_name -> google.protobuf.Timestamp
	2,  // 4: query.BirthDetailsReply.birthDetails:type_name -> query.BirthDetails
	0,  // 5: query.MarriageDetailsRequest.query:type_name -> query.AggregationQuery
	19, // 6: query.MarriageDetails.date:type_name -> google.protobuf.Timestamp
	5,  // 7: query.MarriageDetailsReply.marriageDetails:type_name -> query.MarriageDetails
	0,  // 8: query.NameDetailsRequest.query:type_name -> query.AggregationQuery
	8,  // 9: query.NameDetailsReply.nameDetails:type_name -> query.NameDetails
	0,  // 10: query.ResidentialAddressRequest.query:type_name -> query.AggregationQuery
	11, // 11: query.ResidentialAddressReply.residentialAddress:type_name -> query.ResidentialAddress
	0,  // 12: query.PersonDetailsRequest.query:type_name -> query.AggregationQuery
	18, // 13: query.Identifiers.zidEid:type_name -> query.Identifiers.ZidEidEntry
	14, // 14: query.PersonDetailsReply.identifiers:type_name -> query.Identifiers
	2,  // 15: query.PersonDetailsReply.birthDetails:type_name -> query.BirthDetails
	8,  // 16: query.PersonDetailsReply.nameDetails:type_name -> query.NameDetails
	11, // 17: query.PersonDetailsReply.residentialAddress:type_name -> query.ResidentialAddress
	5,  // 18: query.PersonDetailsReply.marriageDetails:type_name -> query.MarriageDetails
	15, // 19: query.PersonDetailsReply.legalDetails:type_name -> query.LegalDetails
	1,  // 20: query.Query.BirthDetails:input_type -> query.BirthDetailsRequest
	7,  // 21: query.Query.NameDetails:input_type -> query.NameDetailsRequest
	10, // 22: query.Query.ResidentialAddress:input_type -> query.ResidentialAddressRequest
	4,  // 23: query.Query.MarriageDetails:input_type -> query.MarriageDetailsRequest
	13, // 24: query.Query.PersonDetails:input_type -> query.PersonDetailsRequest
	3,  // 25: query.Query.BirthDetails:output_type -> query.BirthDetailsReply
	9,  // 26: query.Query.NameDetails:output_type -> query.NameDetailsReply
	12, // 27: query.Query.ResidentialAddress:output_type -> query.ResidentialAddressReply
	6,  // 28: query.Query.MarriageDetails:output_type -> query.MarriageDetailsReply
	16, // 29: query.Query.PersonDetails:output_type -> query.PersonDetailsReply
	25, // [25:30] is the sub-list for method output_type
	20, // [20:25] is the sub-list for method input_type
	20, // [20:20] is the sub-list for extension type_name
	20, // [20:20] is the sub-list for extension extendee
	0,  // [0:20] is the sub-list for field type_name
}

func init() { file_query_api_query_query_proto_init() }
func file_query_api_query_query_proto_init() {
	if File_query_api_query_query_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_query_api_query_query_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AggregationQuery); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_query_api_query_query_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BirthDetailsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_query_api_query_query_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BirthDetails); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_query_api_query_query_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BirthDetailsReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_query_api_query_query_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MarriageDetailsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_query_api_query_query_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MarriageDetails); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_query_api_query_query_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MarriageDetailsReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_query_api_query_query_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NameDetailsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_query_api_query_query_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NameDetails); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_query_api_query_query_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NameDetailsReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_query_api_query_query_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ResidentialAddressRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_query_api_query_query_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ResidentialAddress); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_query_api_query_query_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ResidentialAddressReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_query_api_query_query_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PersonDetailsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_query_api_query_query_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Identifiers); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_query_api_query_query_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LegalDetails); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_query_api_query_query_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PersonDetailsReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_query_api_query_query_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AggregationQuery_PersonIdentifier); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_query_api_query_query_proto_msgTypes[17].OneofWrappers = []interface{}{
		(*AggregationQuery_PersonIdentifier_Eid)(nil),
		(*AggregationQuery_PersonIdentifier_Bsn)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_query_api_query_query_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   19,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_query_api_query_query_proto_goTypes,
		DependencyIndexes: file_query_api_query_query_proto_depIdxs,
		MessageInfos:      file_query_api_query_query_proto_msgTypes,
	}.Build()
	File_query_api_query_query_proto = out.File
	file_query_api_query_query_proto_rawDesc = nil
	file_query_api_query_query_proto_goTypes = nil
	file_query_api_query_query_proto_depIdxs = nil
}
